GWT 2.7.0

## com.google.gwt.user.client.ui
Class FormPanel.SubmitEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<FormPanel.SubmitHandler>
              com.google.gwt.user.client.ui.FormPanel.SubmitEvent

Enclosing class:
  FormPanel

    public static class FormPanel.SubmitEvent

extends GwtEvent<FormPanel.SubmitHandler>

Fired when the form is submitted.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`FormPanel.SubmitEvent()`

Method Summary
`void` | `cancel()` Cancel the form submit.
`protected void` | `dispatch(FormPanel.SubmitHandler handler)` Should only be called by `HandlerManager`.
`GwtEvent.Type<FormPanel.SubmitHandler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`static GwtEvent.Type<FormPanel.SubmitHandler>` | `getType()` Handler hook.
`boolean` | `isCanceled()` Gets whether this form submit will be canceled.
`(package private) void` | `setCanceled(boolean canceled)` Deprecated. Use `cancel()` instead

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormPanel.SubmitEvent

    public FormPanel.SubmitEvent()

Method Detail

### getType

    public static GwtEvent.Type<FormPanel.SubmitHandler> getType()

  Handler hook.

  Returns:
    the handler hook

### cancel

    public void cancel()

  Cancel the form submit. Firing this will prevent a subsequent `FormPanel.SubmitCompleteEvent` from being fired.

### getAssociatedType

    public final GwtEvent.Type<FormPanel.SubmitHandler> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `GwtEvent<FormPanel.SubmitHandler>`
  Returns:
    the type

### isCanceled

    public boolean isCanceled()

  Gets whether this form submit will be canceled.

  Returns:
    `true` if the form submit will be canceled

### dispatch

    protected void dispatch(FormPanel.SubmitHandler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<FormPanel.SubmitHandler>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

### setCanceled

    @Deprecated
    void setCanceled(boolean canceled)

  Deprecated. Use `cancel()` instead

  This method is used for legacy support and should be removed when `FormHandler` is removed.

GWT 2.7.0